package com.wissamfawaz;

public class CheckingAccount extends BankAccount {
	protected int transactionCount;
	protected final int THRESHOLD = 3;
	protected final double FEE = 0.5;

	public CheckingAccount(double balance) {
		super(balance);
		transactionCount = 0;
	}
	
	@Override
	public void withdraw(double amount) {
		super.withdraw(amount);
		transactionCount++;
	}
	
	@Override
	public void deposit(double amount) {
		super.deposit(amount);
		transactionCount++;
	}
	
	public void applyFees() {
		if(transactionCount > THRESHOLD) {
			double fees = (transactionCount - THRESHOLD) * FEE;
			super.withdraw(fees);
		}
		transactionCount = 0;
	}
	
	
}
